/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import "@ionic/angular/css/core.css";

/* Basic CSS for apps built with Ionic */
@import "@ionic/angular/css/normalize.css";
@import "@ionic/angular/css/structure.css";
@import "@ionic/angular/css/typography.css";
@import "@ionic/angular/css/display.css";

/* Optional CSS utils that can be commented out */
@import "@ionic/angular/css/padding.css";
@import "@ionic/angular/css/float-elements.css";
@import "@ionic/angular/css/text-alignment.css";
@import "@ionic/angular/css/text-transformation.css";
@import "@ionic/angular/css/flex-utils.css";

// ion-input.done-task.ng-untouched.ng-pristine.ng-valid.ion-untouched.ion-pristine.ion-valid.sc-ion-input-ios-h.sc-ion-input-ios-s.ios.has-value.input-label-placement-start.in-item.hydrated
.done-task input {
  text-decoration: line-through !important;
  color: var(--ion-color-medium) !important;
}

ion-footer ion-button.button.button-round.in-toolbar.in-buttons.button-has-icon-only {
  --border-radius: 50%;
  --padding-top: 8px;
  --padding-end: 8px;
  --padding-bottom: 8px;
  --padding-start: 8px;
}

ion-modal {
  --height: 70%;
  --width: 90%;
  --border-radius: 16px;
  --box-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1);
}

ion-modal::part(backdrop) {
  background: rgba(209, 213, 219);
  opacity: 1;
}

ion-modal ion-toolbar {
  --background: rgb(14 116 144);
  --color: white;
}
/*
ion-modal.stack-modal {
  --box-shadow: 0 28px 48px rgba(0, 0, 0, 0.4);
  --backdrop-opacity: var(--ion-backdrop-opacity, 0.32);
}

ion-modal>.ion-page {
  position: absolute;
  contain: layout style;
  height: 100%;
  top: 0;
  bottom: 0;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
*/

.content-center {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  background: var(--ion-color-light);
  padding: 8px;
}

.ion-valid.sc-ion-input-md-h,
.ion-valid.sc-ion-input-ios-h {
  --border-color: var(--ion-color-medium) !important;
}

.has-focus.ion-valid.ion-color-pallete_red,
.ion-valid.ion-color-pallete_red.sc-ion-input-md-h,
.ion-valid.ion-color-pallete_red.sc-ion-input-ios-h {
  --border-color: var(--ion-color-pallete_red) !important;
  --highlight-color: var(--ion-color-pallete_red) !important;
  --highlight-color-valid: var(--ion-color-pallete_red) !important;
  --highlight-color-focused: var(--ion-color-pallete_red) !important;
}
.has-focus.ion-valid.ion-color-pallete_lighred,
.ion-valid.ion-color-pallete_lighred.sc-ion-input-md-h,
.ion-valid.ion-color-pallete_lighred.sc-ion-input-ios-h {
  --border-color: var(--ion-color-pallete_lighred) !important;
  --highlight-color: var(--ion-color-pallete_lighred) !important;
  --highlight-color-valid: var(--ion-color-pallete_lighred) !important;
  --highlight-color-focused: var(--ion-color-pallete_lighred) !important;
}
.has-focus.ion-valid.ion-color-pallete_pink,
.ion-valid.ion-color-pallete_pink.sc-ion-input-md-h,
.ion-valid.ion-color-pallete_pink.sc-ion-input-ios-h {
  --border-color: var(--ion-color-pallete_pink) !important;
  --highlight-color: var(--ion-color-pallete_pink) !important;
  --highlight-color-valid: var(--ion-color-pallete_pink) !important;
  --highlight-color-focused: var(--ion-color-pallete_pink) !important;
}
.has-focus.ion-valid.ion-color-pallete_lightpink,
.ion-valid.ion-color-pallete_lightpink.sc-ion-input-md-h,
.ion-valid.ion-color-pallete_lightpink.sc-ion-input-ios-h {
  --border-color: var(--ion-color-pallete_lightpink) !important;
  --highlight-color: var(--ion-color-pallete_lightpink) !important;
  --highlight-color-valid: var(--ion-color-pallete_lightpink) !important;
  --highlight-color-focused: var(--ion-color-pallete_lightpink) !important;
}
.has-focus.ion-valid.ion-color-pallete_lilac,
.ion-valid.ion-color-pallete_lilac.sc-ion-input-md-h,
.ion-valid.ion-color-pallete_lilac.sc-ion-input-ios-h {
  --border-color: var(--ion-color-pallete_lilac) !important;
  --highlight-color: var(--ion-color-pallete_lilac) !important;
  --highlight-color-valid: var(--ion-color-pallete_lilac) !important;
  --highlight-color-focused: var(--ion-color-pallete_lilac) !important;
}
.has-focus.ion-valid.ion-color-pallete_lighlilac,
.ion-valid.ion-color-pallete_lighlilac.sc-ion-input-md-h,
.ion-valid.ion-color-pallete_lighlilac.sc-ion-input-ios-h {
  --border-color: var(--ion-color-pallete_lighlilac) !important;
  --highlight-color: var(--ion-color-pallete_lighlilac) !important;
  --highlight-color-valid: var(--ion-color-pallete_lighlilac) !important;
  --highlight-color-focused: var(--ion-color-pallete_lighlilac) !important;
}
.has-focus.ion-valid.ion-color-pallete_purple,
.ion-valid.ion-color-pallete_purple.sc-ion-input-md-h,
.ion-valid.ion-color-pallete_purple.sc-ion-input-ios-h {
  --border-color: var(--ion-color-pallete_purple) !important;
  --highlight-color: var(--ion-color-pallete_purple) !important;
  --highlight-color-valid: var(--ion-color-pallete_purple) !important;
  --highlight-color-focused: var(--ion-color-pallete_purple) !important;
}
.has-focus.ion-valid.ion-color-pallete_lightpurple,
.ion-valid.ion-color-pallete_lightpurple.sc-ion-input-md-h,
.ion-valid.ion-color-pallete_lightpurple.sc-ion-input-ios-h {
  --border-color: var(--ion-color-pallete_lightpurple) !important;
  --highlight-color: var(--ion-color-pallete_lightpurple) !important;
  --highlight-color-valid: var(--ion-color-pallete_lightpurple) !important;
  --highlight-color-focused: var(--ion-color-pallete_lightpurple) !important;
}
.has-focus.ion-valid.ion-color-pallete_yellow,
.ion-valid.ion-color-pallete_yellow.sc-ion-input-md-h,
.ion-valid.ion-color-pallete_yellow.sc-ion-input-ios-h {
  --border-color: var(--ion-color-pallete_yellow) !important;
  --highlight-color: var(--ion-color-pallete_yellow) !important;
  --highlight-color-valid: var(--ion-color-pallete_yellow) !important;
  --highlight-color-focused: var(--ion-color-pallete_yellow) !important;
}
.has-focus.ion-valid.ion-color-pallete_lightyellow,
.ion-valid.ion-color-pallete_lightyellow.sc-ion-input-md-h,
.ion-valid.ion-color-pallete_lightyellow.sc-ion-input-ios-h {
  --border-color: var(--ion-color-pallete_lightyellow) !important;
  --highlight-color: var(--ion-color-pallete_lightyellow) !important;
  --highlight-color-valid: var(--ion-color-pallete_lightyellow) !important;
  --highlight-color-focused: var(--ion-color-pallete_lightyellow) !important;
}
.has-focus.ion-valid.ion-color-pallete_orange,
.ion-valid.ion-color-pallete_orange.sc-ion-input-md-h,
.ion-valid.ion-color-pallete_orange.sc-ion-input-ios-h {
  --border-color: var(--ion-color-pallete_orange) !important;
  --highlight-color: var(--ion-color-pallete_orange) !important;
  --highlight-color-valid: var(--ion-color-pallete_orange) !important;
  --highlight-color-focused: var(--ion-color-pallete_orange) !important;
}
.has-focus.ion-valid.ion-color-pallete_lightorange,
.ion-valid.ion-color-pallete_lightorange.sc-ion-input-md-h,
.ion-valid.ion-color-pallete_lightorange.sc-ion-input-ios-h {
  --border-color: var(--ion-color-pallete_lightorange) !important;
  --highlight-color: var(--ion-color-pallete_lightorange) !important;
  --highlight-color-valid: var(--ion-color-pallete_lightorange) !important;
  --highlight-color-focused: var(--ion-color-pallete_lightorange) !important;
}
.has-focus.ion-valid.ion-color-pallete_bronw,
.ion-valid.ion-color-pallete_bronw.sc-ion-input-md-h,
.ion-valid.ion-color-pallete_bronw.sc-ion-input-ios-h {
  --border-color: var(--ion-color-pallete_bronw) !important;
  --highlight-color: var(--ion-color-pallete_bronw) !important;
  --highlight-color-valid: var(--ion-color-pallete_bronw) !important;
  --highlight-color-focused: var(--ion-color-pallete_bronw) !important;
}
.has-focus.ion-valid.ion-color-pallete_lightbronw,
.ion-valid.ion-color-pallete_lightbronw.sc-ion-input-md-h,
.ion-valid.ion-color-pallete_lightbronw.sc-ion-input-ios-h {
  --border-color: var(--ion-color-pallete_lightbronw) !important;
  --highlight-color: var(--ion-color-pallete_lightbronw) !important;
  --highlight-color-valid: var(--ion-color-pallete_lightbronw) !important;
  --highlight-color-focused: var(--ion-color-pallete_lightbronw) !important;
}
.has-focus.ion-valid.ion-color-pallete_green,
.ion-valid.ion-color-pallete_green.sc-ion-input-md-h,
.ion-valid.ion-color-pallete_green.sc-ion-input-ios-h {
  --border-color: var(--ion-color-pallete_green) !important;
  --highlight-color: var(--ion-color-pallete_green) !important;
  --highlight-color-valid: var(--ion-color-pallete_green) !important;
  --highlight-color-focused: var(--ion-color-pallete_green) !important;
}
.has-focus.ion-valid.ion-color-pallete_lightgreen,
.ion-valid.ion-color-pallete_lightgreen.sc-ion-input-md-h,
.ion-valid.ion-color-pallete_lightgreen.sc-ion-input-ios-h {
  --border-color: var(--ion-color-pallete_lightgreen) !important;
  --highlight-color: var(--ion-color-pallete_lightgreen) !important;
  --highlight-color-valid: var(--ion-color-pallete_lightgreen) !important;
  --highlight-color-focused: var(--ion-color-pallete_lightgreen) !important;
}
.has-focus.ion-valid.ion-color-pallete_aquamarine,
.ion-valid.ion-color-pallete_aquamarine.sc-ion-input-md-h,
.ion-valid.ion-color-pallete_aquamarine.sc-ion-input-ios-h {
  --border-color: var(--ion-color-pallete_aquamarine) !important;
  --highlight-color: var(--ion-color-pallete_aquamarine) !important;
  --highlight-color-valid: var(--ion-color-pallete_aquamarine) !important;
  --highlight-color-focused: var(--ion-color-pallete_aquamarine) !important;
}
.has-focus.ion-valid.ion-color-pallete_lightaquamarine,
.ion-valid.ion-color-pallete_lightaquamarine.sc-ion-input-md-h,
.ion-valid.ion-color-pallete_lightaquamarine.sc-ion-input-ios-h {
  --border-color: var(--ion-color-pallete_lightaquamarine) !important;
  --highlight-color: var(--ion-color-pallete_lightaquamarine) !important;
  --highlight-color-valid: var(--ion-color-pallete_lightaquamarine) !important;
  --highlight-color-focused: var(--ion-color-pallete_lightaquamarine) !important;
}
.has-focus.ion-valid.ion-color-pallete_blue,
.ion-valid.ion-color-pallete_blue.sc-ion-input-md-h,
.ion-valid.ion-color-pallete_blue.sc-ion-input-ios-h {
  --border-color: var(--ion-color-pallete_blue) !important;
  --highlight-color: var(--ion-color-pallete_blue) !important;
  --highlight-color-valid: var(--ion-color-pallete_blue) !important;
  --highlight-color-focused: var(--ion-color-pallete_blue) !important;
}
.has-focus.ion-valid.ion-color-pallete_lightblue,
.ion-valid.ion-color-pallete_lightblue.sc-ion-input-md-h,
.ion-valid.ion-color-pallete_lightblue.sc-ion-input-ios-h {
  --border-color: var(--ion-color-pallete_lightblue) !important;
  --highlight-color: var(--ion-color-pallete_lightblue) !important;
  --highlight-color-valid: var(--ion-color-pallete_lightblue) !important;
  --highlight-color-focused: var(--ion-color-pallete_lightblue) !important;
}
.has-focus.ion-valid.ion-color-pallete_skyblue,
.ion-valid.ion-color-pallete_skyblue.sc-ion-input-md-h,
.ion-valid.ion-color-pallete_skyblue.sc-ion-input-ios-h {
  --border-color: var(--ion-color-pallete_skyblue) !important;
  --highlight-color: var(--ion-color-pallete_skyblue) !important;
  --highlight-color-valid: var(--ion-color-pallete_skyblue) !important;
  --highlight-color-focused: var(--ion-color-pallete_skyblue) !important;
}
.has-focus.ion-valid.ion-color-pallete_darkblue,
.ion-valid.ion-color-pallete_darkblue.sc-ion-input-md-h,
.ion-valid.ion-color-pallete_darkblue.sc-ion-input-ios-h {
  --border-color: var(--ion-color-pallete_darkblue) !important;
  --highlight-color: var(--ion-color-pallete_darkblue) !important;
  --highlight-color-valid: var(--ion-color-pallete_darkblue) !important;
  --highlight-color-focused: var(--ion-color-pallete_darkblue) !important;
}
.has-focus.ion-valid.ion-color-pallete_meat,
.ion-valid.ion-color-pallete_meat.sc-ion-input-md-h,
.ion-valid.ion-color-pallete_meat.sc-ion-input-ios-h {
  --border-color: var(--ion-color-pallete_meat) !important;
  --highlight-color: var(--ion-color-pallete_meat) !important;
  --highlight-color-valid: var(--ion-color-pallete_meat) !important;
  --highlight-color-focused: var(--ion-color-pallete_meat) !important;
}
.has-focus.ion-valid.ion-color-pallete_gray,
.ion-valid.ion-color-pallete_gray.sc-ion-input-md-h,
.ion-valid.ion-color-pallete_gray.sc-ion-input-ios-h {
  --border-color: var(--ion-color-pallete_gray) !important;
  --highlight-color: var(--ion-color-pallete_gray) !important;
  --highlight-color-valid: var(--ion-color-pallete_gray) !important;
  --highlight-color-focused: var(--ion-color-pallete_gray) !important;
}
.has-focus.ion-valid.ion-color-pallete_lightgray,
.ion-valid.ion-color-pallete_lightgray.sc-ion-input-md-h,
.ion-valid.ion-color-pallete_lightgray.sc-ion-input-ios-h {
  --border-color: var(--ion-color-pallete_lightgray) !important;
  --highlight-color: var(--ion-color-pallete_lightgray) !important;
  --highlight-color-valid: var(--ion-color-pallete_lightgray) !important;
  --highlight-color-focused: var(--ion-color-pallete_lightgray) !important;
}

ion-input.has-focus.input-list.readonly {
  --border-color: none !important;
  --highlight-color: none !important;
  --highlight-color-valid: none !important;
  --highlight-color-focused: none !important;
}

.content-not-found {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  ion-img {
    width: 30%;
    opacity: 0.7;
    filter: grayscale(1);
  }
  p {
    color: var(--ion-color-medium);
    font-size: small;
  }
}
